// DataExchangeDlg.h : header file
//

#if !defined(AFX_DATAEXCHANGEDLG_H__848DBE00_6D49_491C_96A7_FE916C11C392__INCLUDED_)
#define AFX_DATAEXCHANGEDLG_H__848DBE00_6D49_491C_96A7_FE916C11C392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDataExchangeDlg dialog

class CDataExchangeDlg : public CDialog
{
// Construction
public:
	CDataExchangeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDataExchangeDlg)
	enum { IDD = IDD_DATAEXCHANGE_DIALOG };
	CSpinButtonCtrl	m_Spin;
	CEdit	m_CPort;
	CListBox	m_List;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDataExchangeDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	SOCKET m_Socket, m_OpenSocket;
	int m_Num, m_Pos;
	bool m_Listen;
	bool m_Accept;
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDataExchangeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnAccept();
	afx_msg void OnRead();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChangePort();
	afx_msg void OnListen();
	afx_msg void OnSend();
	afx_msg void OnClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATAEXCHANGEDLG_H__848DBE00_6D49_491C_96A7_FE916C11C392__INCLUDED_)
